FWParserInternal::SideBar Struct Reference

Internal: the sidebar of a FWParser. More...

Inheritance diagram for FWParserInternal::SideBar:

## Public Member Functions

| SideBar (FWStruct::ZoneHeader &)
| constructor More...
Public Member Functions inherited from FWStruct::ZoneHeader
| ZoneHeader ()
| constructor More...
virtual | ~ZoneHeader ()
| destructor More...
bool | read (shared_ptr< FWStruct::Entry > zone)
| try to read the data header of a classical zone More...

## Public Attributes

Box2f | m_box
| the position (in point) More...
int | m_page
| the page More...
Public Attributes inherited from FWStruct::ZoneHeader
int | m_type
| the zone type More...
int | m_docId
| the doc id More...
int | m_fileId
| the file id More...
int | m_wrapping
| the wrapping type More...
std::string | m_extra
| some extra data More...

## Detailed Description

Internal: the sidebar of a FWParser.

## Constructor & Destructor Documentation

FWParserInternal::SideBar::SideBar | ( | FWStruct::ZoneHeader & |  | ) |

inline

constructor

## Member Data Documentation

Box2f FWParserInternal::SideBar::m_box

the position (in point)

int FWParserInternal::SideBar::m_page

the page

The documentation for this struct was generated from the following file:

- FWParser.cxx